import { TypeStorage } from 'graphql-compose';
const typeStorage = new TypeStorage();
export function getTypeName(name, opts) {
  return `${opts && opts.prefix || 'Elastic'}${name}${opts && opts.postfix || ''}`;
}
export function getOrSetType(typeName, typeOrThunk) {
  const type = typeStorage.getOrSet(typeName, typeOrThunk);
  return type;
} // Remove newline multiline in descriptions

export function desc(str) {
  return str.replace(/\n\s+/gi, ' ').replace(/^\s+/, '');
}